import upload from '@/utils/upload'
import request from '@/utils/request'

// 用户密码重置
export function updateUserPwd(oldPassword, newPassword) {
  const data = {
    oldPassword,
    newPassword
  }
  return request({
    url: '/system/user/profile/updatePwd',
    method: 'post',
    params: data
  })
}
// 忘记密码发送短信
export function getappForgetPW(data) {
  return request({
    url: '/applet/appForgetPW/'+data,
    method: 'get',
  })
}
// 重置密码
export function getappCheck(data) {
  return request({
    url: '/applet/appCheck',
    method: 'get',
	'data':data
  })
}

// 查询用户个人信息
export function getUserProfile() {
  return request({
    url: '/system/user/profile',
    method: 'get'
  })
}

// 修改用户个人信息
export function updateUserProfile(data) {
  return request({
    url: '/system/user/profile',
    method: 'post',
    data: data
  })
}

// 用户头像上传
export function uploadAvatar(data) {
  return upload({
    url: '/system/user/profile/avatar',
    name: data.name,
    filePath: data.filePath
  })
}

// 下载版本更新
export function findVersion(data) {
  return request({
    url: '/system/app/new',
    method: 'get',
    data: data
  })
}
